CodeIgniter Forums
failed to open stream bootstrap.php on line 89 - Printable Version

+- CodeIgniter Forums (https://forum.codeigniter.com)
+-- Forum: CodeIgniter 4 (https://forum.codeigniter.com/forum-28.html)
+--- Forum: CodeIgniter 4 Support (https://forum.codeigniter.com/forum-30.html)
+--- Thread: failed to open stream bootstrap.php on line 89 (/thread-78587.html)



failed to open stream bootstrap.php on line 89 - yuma2020 - 02-10-2021

Quote:Warning: require_once(\Common.php): failed to open stream: No such file or directory in D:\laragon\www\basicapp\vendor\codeigniter4\framework\system\bootstrap.php on line 89

Fatal error: require_once(): Failed opening required '\Common.php' (include_path='.;D:/laragon/etc/php/pear') in D:\laragon\www\basicapp\vendor\codeigniter4\framework\system\bootstrap.php on line 89
Alguien que pueda ayudarme como resolver esto, le eh enviado el compositor instalar, actualizar mil veces y nada.

Directory in te Windows 10:
drwxrwxrwx 1 user 512 Feb 10 12:52 .
drwxrwxrwx 1 user 512 Feb 10 11:52 ..
drwxrwxrwx 1 user 512 Feb 10 11:53 app
-rwxrwxrwx 1 user 2161 Feb 10 12:33 composer.json
-rwxrwxrwx 1 user 71759 Feb 10 12:33 composer.lock
-rwxrwxrwx 1 user 3555 Feb 10 12:31 .env
drwxrwxrwx 1 user 512 Feb 10 11:53 environment
drwxrwxrwx 1 user 512 Feb 10 11:53 .git
-rwxrwxrwx 1 user 57 Feb 10 11:53 .gitignore
-rwxrwxrwx 1 user 1714 Feb 10 12:37 .htaccess
-rwxrwxrwx 1 user 1541 Feb 10 12:51 index.php
-rwxrwxrwx 1 user 64 Feb 10 11:53 install.bat
-rwxrwxrwx 1 user 1087 Feb 10 11:53 LICENSE
drwxrwxrwx 1 user 512 Feb 10 11:53 public
-rwxrwxrwx 1 user 2650 Feb 10 11:53 README.md
-rwxrwxrwx 1 user 1929 Feb 10 11:53 spark
drwxrwxrwx 1 user 512 Feb 10 12:53 vendor
drwxrwxrwx 1 user 512 Feb 10 11:53 writable


RE: failed to open stream bootstrap.php on line 89 - antiserious - 02-10-2021

composer ile güncelledikten sonra sorun oldu ise app/config/paths.php dosyasını da güncellemen lazım. githubtan kontrol edip değişitiriniz.


RE: failed to open stream bootstrap.php on line 89 - Sepharad - 02-10-2021

Nunca he usado composer y/o laragon pero parece que estás intentando usar una aplicacion codeigniter sin tener el framework instalado. Buscar el paquete "codeigniter4/framework".



Yo he probado la versión 4.1.1 descargada de https://github.com/codeigniter4/framework/archive/v4.1.1.zip usando la última versión de xampp (php 8.0.2)  y funciona bien en windows 10, lo único que tuve que tocar es el archivo php.ini, descomentar para activar la extensión "intl" y no recuerdo si lo mismo tambien para "mbstring" que son requisito para CodeIgniter4.